# Zeus | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Function Zeus

- Zeus< Z , O , R >(operation, o, ops?): string

- #### Type Parameters

  - Z extends unknown
  - O extends "query" | "mutation"
  - R extends keyof ValueTypes = GenericOperation < O >

  #### Parameters

  - operation: O
  - o: Z
  - `Optional` ops: {
    operationOptions?: OperationOptions ;
    scalars?: ScalarDefinition ;
    }

    - ##### `Optional` operationOptions?: OperationOptions

    - ##### `Optional` scalars?: ScalarDefinition

  #### Returns string

  - Defined in components/sdk/src/zeus/index.ts:273